import datetime

import participants.query_db


class MachineLearningPipeline:
    def __init__(self, participants_usernames=None):
        if participants_usernames is None:
            participants_usernames = participants.query_db.get_usernames(
                collection_start=datetime.date.fromisoformat("2020-08-01")
            )
        self.participants_usernames = participants_usernames
